---
title: "Redeliver a webhook"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/webhooks.redeliver
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Redeliver a webhook

Send failed / delivered deliveries again (≤ 500 ids, or every failed one since a time). Keeps the same webhook-id so the receiver can drop duplicates; re-checks rights and filters.

Send failed / delivered deliveries again (≤ 500 ids, or every failed one since a time). Keeps the same webhook-id so the receiver can drop duplicates; re-checks rights and filters.

## Overview

| Name | Value |
| --- | --- |
| Code | `webhooks.redeliver` |
| Scope needed | `webhooks.manage` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Settings → Webhooks |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `uuid` | Yes |   |
| `deliveryIds` | `uuid[]` | No |   |
| `allDeadSince` | `timestamp` | No | Every failed delivery since this time (≤ 500). |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/webhooks.redeliver \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `queued` | `number` | Yes |
| `skipped` | `number` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "queued": 1,
    "skipped": 1
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "webhooks.redeliver"`. Tool name when listed: `webhooks_redeliver`.
